@echo off
cls
echo HP Insight Integration Modules for Enterprise Management Platforms
echo -
echo END USER LICENSE AGREEMENT
echo -
echo PLEASE READ THIS END USER LICENSE AGREEMENT ("AGREEMENT") CAREFULLY.  THIS
echo AGREEMENT IS A LEGAL AGREEMENT BETWEEN YOU (either an individual or single
echo entity) ("YOU") AND HEWLETT-PACKARD COMPANY ("HP").  By Downloading, 
echo COPYING, INSTALLING, OR OTHERWISE USING THE SOFTWARE, (i) You do so with 
echo the intent to electronically `execute' this Agreement, and (ii) you agree 
echo TO BE BOUND BY AND COMPLY WITH THE FOLLOWING TERMS AND CONDITIONS, 
echo INCLUDING THE WARRANTY STATEMENT, AS WELL AS ANY TERMS AND CONDITIONS 
echo CONTAINED IN THE "ANCILLARY SOFTWARE" LIST.  
echo -
echo IF YOU DO NOT AGREE TO THE TERMS AND CONDITIONS OF THIS AGREEMENT, (A) YOU
echo SHALL NOT DOWNLOAD, COPY OR INSTALL THE SOFTWARE; AND (B) HP DOES NOT 
echo GRANT YOU ANY RIGHTS TO USE THE SOFTWARE.  NOTWITHSTANDING THE FOREGOING, 
echo INSTALLING OR OTHERWISE USING THE SOFTWARE INDICATES YOUR ACCEPTANCE OF 
echo THE TERMS AND CONDITIONS OF THIS AGREEMENT.  
echo -
pause
cls
echo THE SOFTWARE PROVIDED HEREIN, IS PROVIDED BY HP AND BY THIRD PARTIES, 
echo INCLUDING THE OPEN SOURCE COMMUNITY ("ANCILLARY SOFTWARE").  USE OF THE 
echo HP SOFTWARE, THE ANCILLARY SOFTWARE, ACCOMPANYING PRINTED MATERIALS, AND 
echo THE "ONLINE" OR ELECTRONIC DOCUMENTATION (COLLECTIVELY THE "PRODUCT") IS 
echo CONDITIONED UPON AND LIMITED BY THE FOLLOWING TERMS AND CONDITIONS, 
echo INCLUDING THE "AS IS WARRANTY STATEMENT" AND THE TERMS AND CONDITIONS OF
echo THE ANCILLARY SOFTWARE LICENSE AGREEMENTS ("ANCILLARY SOFTWARE LICENSES").  
echo -
echo USE OF ANCILLARY SOFTWARE SHALL BE GOVERNED BY THE ANCILLARY SOFTWARE 
echo LICENSE, EXCEPT THAT THE DISCLAIMER OF WARRANTIES AND LIMITATION OF 
echo LIABILITIES PROVISIONS CONTAINED IN THE "AS-IS WARRANTY STATEMENT" OF 
echo THIS AGREEMENT SHALL ALSO APPLY TO SUCH ANCILLARY SOFTWARE.  HP HAS 
echo IDENTIFIED ANCILLARY SOFTWARE BY EITHER NOTING THE ANCILLARY SOFTWARE 
echo PROVIDER'S OWNERSHIP WITHIN EACH ANCILLARY SOFTWARE PROGRAM FILE AND/OR 
echo BY PROVIDING LICENSING INFORMATION IN THE "ANCILLARY SOFTWARE" LIST. BY 
echo ACCEPTING THE TERMS AND CONDITIONS OF THIS AGREEMENT, YOU ARE ALSO 
echo ACCEPTING THE TERMS AND CONDITIONS OF EACH ANCILLARY SOFTWARE LICENSE 
echo IN THE ANCILLARY SOFTWARE LIST.
pause
cls
echo IF AND ONLY IF THE PRODUCT INCLUDES SOFTWARE LICENSED UNDER THE GNU 
echo GENERAL PUBLIC LICENSE ("GPL SOFTWARE"), YOU MAY OBTAIN A COMPLETE 
echo MACHINE-READABLE COPY OF THE GPL SOFTWARE SOURCE CODE ("GPL SOURCE 
echo CODE") BY DOWNLOAD FROM A SITE SPECIFIED IN THE FOLLOWING HP WEBSITE:
echo HTTP://H18004.WWW1.HP.COM/PRODUCTS/SERVERS/PROLIANTESSENTIALS/VALUEPACK
echo /LICENSING.HTML. 
echo UPON YOUR WRITTEN REQUEST, HP WILL PROVIDE, FOR A FEE COVERING THE 
echo COST OF DISTRIBUTION, A COMPLETE MACHINE-READABLE COPY OF THE GPL SOURCE 
echo CODE, BY MAIL, TO YOU.  INFORMATION ABOUT HOW TO MAKE A WRITTEN REQUEST 
echo FOR GPL SOURCE CODE MAY BE FOUND AT THE FOLLOWING WEBSITE:
echo HTTP://H18004.WWW1.HP.COM/PRODUCTS/SERVERS/PROLIANTESSENTIALS/VALUEPACK
echo /LICENSING.HTML.
echo -
echo LICENSE TERMS
echo -
echo SUBJECT TO THE TERMS AND CONDITIONS OF THIS AGREEMENT AND ANY RIGHTS, 
echo LIMITATIONS AND OBLIGATIONS SET FORTH IN THE ANCILLARY SOFTWARE LICENSES:
echo -
echo 1. LICENSE GRANT
echo -
pause
cls
echo a. IF SOFTWARE DOES NOT REQUIRE AN ACTIVATION KEY.  If the Software
echo does not require an Activation Key and provided that You comply with all
echo the terms and conditions of this Agreement, HP grants You a non-exclusive,
echo non-transferable (except as provided in Section 16), worldwide (except 
echo for the countries referenced  in Section 12) license under HP's 
echo copyrights, to install, copy on as many computers as you need for your 
echo business, use, execute, make archival or backup copies, and display 
echo ("Use") the object code version of the Product on the computer(s) on 
echo which this Product is installed and in the operating environment as 
echo identified by HP in the accompanying materials.
echo -
echo b. IF SOFTWARE REQUIRES AN ACTIVATION KEY.  If the Software 
echo requires an Activation Key, and provided that You comply with all terms 
echo and conditions of this Agreement, then depending upon the specific 
echo hardware configuration You employ, HP grants You the following license
echo ("License Type") and rights: 
echo -
echo Authorized Copies.  You are licensed to install, make Authorized Copies 
echo of (as defined in this section), execute, and display ("Use") the object
echo code version of the Product on an equivalent number of Computers, 
echo Host/Client Pairs, Computer Nodes, or Clustered Computers (as defined 
echo in the table below) as you have Authorized Copies.  Authorized Copies is 
echo defined as the number of copies that you have paid for as stated in the 
echo invoice or comparable document evidencing an authorized quantity.
pause
cls
echo LICENSE TYPE    SOFTWARE INSTALLS TO:       LICENSED RIGHTS	   
echo                 (hardware configuration)
echo Computer        A computer                  You have a right to install
echo                                             and Use the Product on a 
echo                                             single computer.  The 
echo                                             installed copy may not 
echo                                             be transferred to or used
echo                                             on any other computer.	   
echo Node/Client     A set of computers with     You have a right to install 
echo                 a minimum of one host and   and Use the Product on a 
echo                 one client connected to     Host/Client Pair or a Single
echo                 each other ("Host/Client    Node.  Copies of the Product
echo                 Pair"), or in certain       installed on a Host/Client 
echo                 instances, a single         Pair or Single Node may not
echo                 computer ("Single Node")    be transferred to any other
echo                                             host or client computers or  
echo                                             other single nodes. You can
echo                                             continue to Use the Product
echo                                             on licensed clients when
echo                                             a new server is introduced 
echo                                             to the licensed clients.	   
pause
cls
echo Cluster         More than two computers     You have a right to install
echo                 physically connected        and Use the Product on each
echo                 together in a cluster       Clustered Computer.
echo                 configuration (each of      The installed copy may not
echo                 which is referred to as     be transferred to or used 
echo                 "Clustered Computer")       on any other computer.	 
echo -		 
echo Storage.  You may copy the Product into the local memory or storage 
echo device of the hardware configuration loaded with the Authorized Copies.
echo You may copy the Product onto a reasonable number of network servers 
echo or a secure intranet for the sole purpose of distributing the Product 
echo to the Computers, Host/Client Pairs, Computer Nodes, or Clustered 
echo Computers.  You may make archival or back-up copies of the Product.  
echo You shall keep the activation key with the hardware configuration to 
echo which the activation key is licensed.  You should keep copies of the 
echo activation key information for future retrieval purposes. 
echo -
echo 2. NEW RELEASES.  "New Release" means a release of the Product 
echo that may contain fixes, corrections, or minor improvements to the 
echo Product.  New Releases are distributed from time to time solely at 
echo the option of HP.  If HP offers a New Release, it may come with its 
echo own terms and conditions, however if it does not, You may use the 
echo New Release only under the terms and conditions of this Agreement.  
pause
cls
echo 3. NEW VERSIONS.  "New Version" means a version of the Product 
echo that may contain significant changes, enhancements, and/or functional 
echo improvements to the Product.  New Versions are distributed solely 
echo at the option of HP.  If HP offers a New Version, it may come with 
echo its own terms and conditions, however if it does not, You may use 
echo the New Version only under the terms and conditions of this Agreement.  
echo -
echo 4. OWNERSHIP.   The Product is owned and copyrighted by 
echo Hewlett-Packard Development Company, L.P., HP's intellectual property 
echo management company, and by third party suppliers, except for the 
echo Ancillary Software, which is owned and copyrighted by the Ancillary 
echo Software providers indicated in the ANCILLARY SOFTWARE list.  Your 
echo right to Use the Product confers no title or ownership and is not a 
echo sale of the Product or any part thereof.  Third party suppliers and 
echo Ancillary Software providers are intended beneficiaries under this 
echo Agreement and may protect their rights in their respective portions 
echo of the Product directly against You.
echo -
echo 5. TRANSFER. Without the prior written consent of HP, or unless 
echo specifically permitted in the Ancillary Software License,  You have 
echo no right (a) to rent, lease, lend, or otherwise transfer the rights 
echo to the Product to anyone else; (b) to Use the Product for commercial 
echo timesharing or bureau use; or (c) to copy the Product onto any public 
echo or distributed network.
pause
cls
echo 6. COPYRIGHT.  United States copyright laws, other countries' 
echo copyright laws, and international treaty provisions protect the 
echo Product.  You shall not remove any product identification, copyright 
echo notices, or proprietary notices from the Product.
echo -
echo 7. SUPPORT.  Support terms and conditions and contact 
echo information are detailed in the Worldwide Limited Warranty and 
echo Technical Support for Industry Standard Server Products statement 
echo ("Support Statement"), a copy of which is available on the HP web 
echo site at www.hp.com.  Subject to the terms of the Support Statement, 
echo for HP software products installed on HP computers, technical support 
echo for questions regarding media and Product installation may be 
echo available for a ninety (90) day period from the date of purchase of 
echo the HP computer on which this Product is installed ("Support Term").  
echo To access this support in North America, call the HP Technical 
echo Support Phone Center at 1-800-652-6672.  This service is available 
echo during normal business hours, Monday through Friday, during the 
echo Support Term.  Outside North America, call the nearest HP Technical 
echo Support Center.  No other support, including without limitation any 
echo on-site support, is provided under this Agreement.
pause
cls
echo 8. LIMITATION ON REVERSE ENGINEERING.  Reverse engineering of 
echo Ancillary Software shall be governed by its respective Ancillary 
echo Software License.  As for the remainder of the Product, You shall 
echo not modify, disassemble, reverse engineer, decompile, decrypt, or 
echo otherwise attempt to access or determine the source code of the 
echo Product without HP's prior written consent.  Where You have other 
echo statutory rights with regard to software, You shall provide HP with 
echo reasonably detailed information regarding any intended disassembly 
echo or decompilation of the Product prior to performing such disassembly 
echo or decompilation.  You shall not decrypt the Product unless necessary 
echo for the licensed Use of the Product. 
echo -
echo 9. RESERVATION OF RIGHTS.  HP, its third party suppliers, and 
echo Ancillary Software providers reserve all rights not expressly granted 
echo to You in this Agreement.
echo -
echo 10. TERM AND TERMINATION.  You may exercise the rights of this 
echo Agreement and of the Ancillary Software Licenses for a period of time 
echo starting at Your acceptance of the terms and conditions of this 
echo Agreement and for so long as You meet such terms and conditions 
echo ("Term").  Notwithstanding the foregoing, HP may terminate Your right 
echo to Use the Product, upon notice, for Your failure to comply with any 
echo such term or condition.  Immediately upon termination, You shall 
pause
cls
echo remove, destroy, or return to HP all copies of the Product, including 
echo those copies of the Product that are merged into Your adaptations, 
echo except for individual pieces of data in Your database.  With HP's 
echo prior written consent, one copy of the Product may be retained, for 
echo archival purposes only, subsequent to termination.  You may terminate 
echo this Agreement at any time by returning or destroying the Product 
echo together with merged portions in any form.
echo -
echo 11. CONFIDENTIAL COMPUTER SOFTWARE.  Valid license from HP 
echo required for possession, use, or copying.  Consistent with FAR 
echo 12.211 and 12.212, Commercial Computer Software, Computer Software 
echo Documentation, and Technical Data for Commercial Items are licensed 
echo to the U.S. Government under vendor's standard commercial license.
echo -
echo 12. COMPLIANCE WITH LAW.  The Product and any associated hardware, 
echo software, technology or services may not be exported, reexported,
echo transferred or downloaded to persons or entities listed on the U.S. 
echo Department of Commerce Denied Persons List, Entity List of 
echo proliferation concern, or on any U.S. Treasury Department Designated 
echo Nationals exclusion list, any country under U.S. economic embargo, 
echo or to parties directly or indirectly involved in the development or 
echo production of nuclear, chemical, biological weapons or in missile 
pause
cls
echo technology programs as specified in the U.S. Export Administration 
echo Regulations (15 CFR 744).  By accepting this Agreement You confirm 
echo that You are not (i) located in (or a national resident of) any 
echo country under U.S. economic embargo, (ii) identified on any U.S. 
echo Department of Commerce Denied Persons List, Entity List or Treasury 
echo Department Designated Nationals exclusion list, and (iii) directly 
echo or indirectly involved in the development or production of nuclear, 
echo chemical, biological weapons or in missile technology programs as 
echo specified in the U.S. Export Administration Regulations.
echo -
echo 13. APPLICABLE LAW. This Agreement shall be construed in accordance 
echo with the laws of the State of Texas, without regard to conflict of 
echo laws principles.  The United Nations Convention on Contracts for the 
echo International Sale of Goods is specifically disclaimed.  If the 
echo Product was acquired outside the United States, then local law may 
echo apply.
echo -
echo 14. SEVERABILITY.  If any term or provision of this Agreement is 
echo determined to be illegal or unenforceable, the validity or 
echo enforceability of the remainder of the terms or provisions herein 
echo will remain valid and in full force and effect.  Failure or delay 
echo in enforcing any right or provision of this Agreement shall not be 
pause
cls
echo deemed a waiver of such right or provision with respect to any 
echo subsequent breach.  Provisions herein, which by their nature extend 
echo beyond the termination of the license in the Product, will remain in 
echo effect until fulfilled. 
echo -
echo 15. CONSENT TO USE OF DATA. You agree that HP may collect and use 
echo technical information that You provide in connection with Your Use 
echo and request for technical support of the Product from HP, however, 
echo HP will not use this information in a form that personally identifies 
echo You.
echo -
echo 16. ASSIGNMENT.  You may not assign, sublicense or transfer this 
echo Agreement, the Product, or any rights or obligations hereunder without
echo the prior written consent of HP.  Any such attempted assignment, 
echo sublicense, or transfer will be null and void, and in such event, 
echo HP may terminate this Agreement immediately.  Notwithstanding the 
echo foregoing, You may assign this Agreement and the rights granted 
echo hereunder with the transfer of all or substantially all of Your 
echo business.  The right to assign or transfer Ancillary Software is 
echo governed by the terms and conditions of the Ancillary Software 
echo Licenses. 
echo -
pause
cls
echo 17. ENTIRE AGREEMENT.  This Agreement, including all Ancillary 
echo Software Licenses in the ANCILLARY SOFTWARE list, is the final, 
echo complete and exclusive agreement between You and HP relating to the 
echo Product, and supersedes any previous communications, representations,
echo or agreements between the parties, whether oral or written, regarding 
echo the subject matter hereof.  Any additional or different terms and 
echo conditions not expressly set forth herein will not apply.  This 
echo Agreement may not be changed except by an amendment signed by an 
echo authorized representative of both You and HP.  To the extent the 
echo terms of any HP policies or programs for support services conflict 
echo with the terms of this Agreement, the terms of this Agreement shall 
echo control.
echo -
echo 18. WARRANTY
echo -
echo a.  NO ACTIVATION KEY REQUIRED SOFTWARE  - AS-IS WARRANTY STATEMENT:
echo -
echo DISCLAIMER.  TO THE EXTENT ALLOWED BY APPLICABLE LAW, THIS PRODUCT 
echo AND SUPPORT SERVICES, IF ANY, ARE PROVIDED TO YOU "AS IS" WITHOUT 
echo WARRANTIES OF ANY KIND, WHETHER ORAL OR WRITTEN, EXPRESS OR IMPLIED.  
echo HP SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF ANY KIND, 
echo INCLUDING WITHOUT LIMITATION, WARRANTY OF MERCHANTABILITY, SATISFACTORY
pause
cls
echo QUALITY, NON-INFRINGEMENT, TITLE, ACCURACY OF INFORMATIONAL CONTENT, 
echo FITNESS FOR A PARTICULAR PURPOSE, ACCURACY OR COMPLETENESS OF RESPONSES, 
echo RESULTS, OR WORKMANLIKE EFFORT, LACK OF VIRUSES, AND LACK OF NEGLIGENCE, 
echo ALL WITH REGARD TO THE PRODUCT, AND THE PROVISION OF OR FAILURE TO 
echo PROVIDE SUPPORT SERVICES.  IN ADDITION, WITHOUT LIMITATION, THERE IS NO
echo WARRANTY OF QUIET ENJOYMENT, QUIET POSSESSION AND CORRESPONDENCE TO 
echo DESCRIPTION WITH REGARD TO THE PRODUCT.  YOU ASSUME THE ENTIRE RISK AS
echo TO THE RESULTS AND PERFORMANCE OF THE PRODUCT.  NO ORAL OR WRITTEN 
echo INFORMATION OR ADVICE GIVEN BY HP, HP'S AUTHORIZED REPRESENTATIVES, 
echo OR ANY OTHER PARTY SHALL CREATE A WARRANTY OR AMEND THIS "AS IS" 
echo WARRANTY.  Some jurisdictions do not allow exclusions of implied 
echo warranties or conditions, so the above exclusion may not apply to 
echo You to the extent prohibited by such local laws.  You may have other 
echo rights that vary from country to country, state to state, or province 
echo to province.
echo -
echo b.  ACTIVATION KEY REQUIRED SOFTWARE - LIMITED WARRANTY.  
echo -
echo HP warrants that the Product will perform substantially in accordance 
echo with the accompanying materials for a period of ninety (90) days from 
echo the date of purchase.  If an implied warranty or condition is created 
echo by Your state/jurisdiction and federal or state/provincial law 
echo prohibits disclaimer of it, You also have an implied warranty or 
pause
cls
echo condition, BUT ONLY AS TO DEFECTS FOR WHICH CLAIMS ARE MADE WITHIN 
echo NINETY (90) DAYS FROM THE DATE OF PURCHASE.  AS TO ANY DEFECTS 
echo DISCOVERED FOR WHICH A CLAIM IS NOT MADE WITHIN THE NINETY-DAY PERIOD,
echo THERE IS NO WARRANTY OR CONDITION OF ANY KIND.  Some states/
echo jurisdictions do not allow limitations on how long an implied 
echo warranty or condition lasts, so the above limitation may not apply 
echo to You.
echo -
echo DISCLAIMER.  The Limited Warranty that appears above is the only
echo express warranty made to You and is provided in lieu of any other 
echo express warranties or implied warrantees (if any) created by any 
echo documentation, packaging or otherwise.  EXCEPT FOR THE LIMITED 
echo WARRANTY, AND TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, HP 
echo AND ITS SUPPLIERS PROVIDE THE PRODUCT AND SUPPORT SERVICES (IF ANY) 
echo "AS IS" AND WITH ALL FAULTS, AND HEREBY DISCLAIM ALL OTHER WARRANTIES 
echo AND CONDITIONS, EITHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT 
echo NOT LIMITED TO, ANY (IF ANY) IMPLIED WARRANTIES, DUTIES OR CONDITIONS 
echo OF MERCHANTABILITY, OF FITNESS FOR A PARTICULAR PURPOSE, SATISFACTORY
echo QUALITY, NON-INFRINGEMENT OF TITLE, OF ACCURACY OR COMPLETENESS OF 
echo RESPONSES, OF RESULTS, OF WORKMANLIKE EFFORT, OF LACK OF VIRUSES, AND 
echo OF LACK OF NEGLIGENCE, ALL WITH REGARD TO THE PRODUCT, AND THE 
echo PROVISIONS OF OR FAILURE TO PROVIDE SUPPORT SERVICES.  ALSO, THERE IS 
echo NO WARRANTY OR CONDITION OF TITLE, QUIET ENJOYMENT, QUIET POSSESSION, 
pause 
cls
echo CORRESPONDENCE TO DESCRIPTION, OR NON-INFRINGEMENT WITH REGARD TO THE 
echo PRODUCT.
echo -
echo 19. LIMITATION OF LIABILITY.
echo -
echo a. FOR ALL SOFTWARE WHETHER OR NOT AN ACTIVATION KEY IS REQUIRED
echo -
echo EXCEPT TO THE EXTENT PROHIBITED BY LOCAL LAW, IN NO EVENT WILL HP OR 
echo ITS SUBSIDIARIES, AFFILIATES, DIRECTORS, OFFICERS, EMPLOYEES, AGENTS
echo OR SUPPLIERS BE LIABLE FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, 
echo CONSEQUENTIAL, PUNITIVE, OR OTHER DAMAGES (INCLUDING LOST PROFIT, LOST 
echo DATA, OR DOWNTIME COSTS) ARISING OUT OF THE USE, THE INABILITY TO USE, 
echo OR THE RESULTS OF USE OF THE PRODUCT, WHETHER BASED IN WARRANTY, 
echo CONTRACT, TORT OR OTHER LEGAL THEORY, AND WHETHER OR NOT HP WAS ADVISED 
echo OF THE POSSIBILITY OF SUCH DAMAGES.  the PRODUCT is not designed, 
echo manufactured or intended for use in the planning, construction, 
echo maintenance, or operation of a nuclear facility, AIRCRAFT NAVIGATION 
echo OR AIRCRAFT COMMUNICATION SYSTEMS, AIR TRAFFIC CONTROL, LIFE SUPPORT 
echo MACHINES, OR WEAPONS SYSTEMS (COLLECTIVELY "HIGH RISK APPLICATIONS").
echo YOU ARE solely liable if the PRODUCT is used for HIGH RISK applications,
echo AND you SHALL indemnify, DEFEND and hold HP harmless from all loss, 
echo damage, expense or liability in connection with such use.   YOU ASSUME 
echo THE ENTIRE RISK AS TO YOUR USE OF THE PRODUCT.  SOME JURISDICTIONS DO 
pause
cls
echo NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR INCIDENTIAL OR 
echo CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATION MAY NOT APPLY TO YOU TO
echo THE EXTENT PROHIBITED BY SUCH LOCAL LAWS.
echo -
echo b. FOR SOFTWARE REQUIRING AN ACTIVATION KEY  
echo -
echo Notwithstanding any damages that You might incur for any reason
echo whatsoever (including, without limitation, all damages referenced above
echo and all direct or general damages), the entire liability of HP and any
echo of its suppliers under any provision of this EULA and Your exclusive 
echo remedy for all of the foregoing (except for any remedy of repair or 
echo replacement if elected by HP with respect to any breach of the Limited
echo Warranty) shall be limited to the greater of the amount actually paid 
echo by You for the Product or U.S. $5.00.  The foregoing limitations,
echo exclusions and disclaimers (including Warranty above) shall apply to 
echo the maximum extent permitted by applicable law, even if any remedy 
echo fails of its essential purpose.
Echo -
Echo By completing the registration and downloading the program, it is
Echo understood that you agree to the terms and conditions set forth in 
Echo the previous statements. 
pause
cls
Echo By continuing with this installation, the user agrees to the terms of
Echo the license agreement.  Press any key to begin installing the Insight 
Echo Integration for HP OpenView Network Node Manager, or press CTRL-C to
Echo exit.
Pause

REM if empty%1 == empty goto error_no_int_path
REM if NOT EXIST \config\cpqconfig.dat goto error_no_int_path

@echo off
call ov.envvars.bat

REM goto skip_errors

REM :error_no_int_path
REM echo ERROR: No integration path was detected in the first argument,
REM echo or the integration path is incorrect.
REM pause
REM goto end
REM :skip_errors

cls

set	LANG=C

echo -
echo This will install the Insight Integration for HP OpenView NNM.
echo -
echo OpenView BIN Directory is %OV_BIN%
echo OpenView BITMAPS Directory is %OV_BITMAPS%
echo OpenView SYMBOLS Directory is %OV_SYMBOLS%
echo OpenView CONF Directory is %OV_CONF%
echo OpenView REGISTRATION Directory is %OV_REGISTRATION%
echo OpenView LRF Directory is %OV_LRF%
echo OpenView HELP Directory is %OV_HELP%
echo OpenView FIELDS Directory is %OV_FIELDS%
echo OpenView Main Directory is %OV_MAIN_PATH%
echo OpenView WWW Directory is %OV_WWW%
echo OpenView WWW Registration Directory is %OV_WWW_REG%
echo -
echo LANG=C
Echo -
Echo If the above entries appear correct, you may proceed with the installation.
Echo Press any key to install or CTRL-C to exit.
Echo -
Echo NOTES:
Echo -
Echo This install will load the MIBs provided into NNM using the
Echo xnmloadmib -load mibname -replace command.
Echo -
Echo Press CTRL-C to exit or 
pause

echo Stopping the OpenView services...
ovstop

echo Installing the Insight Integration Binary Files...
echo Installing the Insight Integration Binary Files... 1>>"%OV_BIN%\ciminstall.log"
call mkdir "%OV_BIN%\cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
call copy .\bin\*.* "%OV_BIN%\cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
REM call copy .\bin\cpqriloe.exe "%OV_BIN%\cpqriloe.exe 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

echo Installing the Insight Integration Icon Files...
echo Installing the Insight Integration Icon Files... 1>>"%OV_BIN%\ciminstall.log"
call mkdir "%OV_BITMAPS%\%LANG%\cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
call copy .\bitmaps\*.* "%OV_BITMAPS%\%LANG%\cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

echo Installing the Insight Integration Icon GIF Files...
echo Installing the Insight Integration Icon GIF Files... 1>>"%OV_BIN%\ciminstall.log"
call mkdir "%OV_WWW%\htdocs\bitmaps\%LANG%\cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
call copy .\www\*.gif "%OV_WWW%\htdocs\bitmaps\%LANG%\cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
call copy .\www\str_hpweb.16.gif "%OV_WWW%\htdocs\%LANG%\images\launcher\str_hpweb.16.gif" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

echo Installing the Insight Integration WWW registration files... 
echo Installing the Insight Integration WWW registration files... 1>>"%OV_BIN%\ciminstall.log"
call copy .\www\insight "%OV_WWW_REG%\jovw\%LANG%\insight" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
call copy .\www\insighthome "%OV_WWW_REG%\launcher\%LANG%\insighthome" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"


call copy .\dynamicviews\insight.xml "%OV_WWW_REG%\dynamicViews\%LANG%\insight.xml" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"


echo Installing the Insight Integration Symbol Registration File...
echo Installing the Insight Integration Symbol Registration File... 1>>"%OV_BIN%\ciminstall.log"
call mkdir "%OV_SYMBOLS%\%LANG%\cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
call copy .\symbols\cpqSym.reg "%OV_SYMBOLS%\%LANG%\cpq\cpqSym.reg" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

call copy .\symbols\018_HP_Insight "%OV_CONF%\oid_to_sym_reg\001_HP\018_HP_Insight" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

echo Installing the Insight Integration Fields file... 
echo Installing the Insight Integration Fields file... 1>>"%OV_BIN%\ciminstall.log"
call mkdir "%OV_FIELDS%\%LANG%\cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
call copy .\fields\cpqField.reg "%OV_FIELDS%\%LANG%\cpq\cpqField.reg" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

echo Installing the Insight Integration Registration files...
echo Installing the Insight Integration Registration files... 1>>"%OV_BIN%\ciminstall.log"
call mkdir "%OV_REGISTRATION%\%LANG%\cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
call copy .\registration\cpq*.reg "%OV_REGISTRATION%\%LANG%\cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

echo Registering Insight Integration Processes...
echo Registering Insight Integration Processes... 1>>"%OV_BIN%\ciminstall.log"
call mkdir "%OV_LRF%\cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
call copy .\lrf\cpq*.lrf "%OV_LRF%\cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
ovaddobj "%OV_LRF%\cpq\cpqdis.lrf" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
ovaddobj "%OV_LRF%\cpq\cpqtrapd.lrf" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

echo Installing the Insight Integration configuration files...
echo Installing the Insight Integration configuration files... 1>>"%OV_BIN%\ciminstall.log"
call mkdir "%OV_CONF%\%LANG%\cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
call copy .\config\cpqconfig.dat "%OV_CONF%\%LANG%\cpq\cpqconfig.dat" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

echo Installing the Insight Integration tools...
echo Installing the Insight Integration tools... 1>>"%OV_BIN%\ciminstall.log"
call mkdir "%OV_MAIN_PATH%\install\tools\cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
call copy .\tools\*.* "%OV_MAIN_PATH%\install\tools\cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

echo Starting the OpenView database...
echo Starting the OpenView database... 1>>"%OV_BIN%\ciminstall.log"
ovstart ovwdb 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

echo Loading registrations and fields...
echo Loading registrations and fields... 1>>"%OV_BIN%\ciminstall.log"
ovw -fields 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

echo Stopping the OpenView services...
echo Stopping the OpenView services... 1>>"%OV_BIN%\ciminstall.log"
ovstop 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"


REM Check for the existance of xnmeventsExt.conf, backup the original,
REM and replace with the version from the integration.
REM IF EXIST "%OV_CONF%\%LANG%\xnmeventsExt.conf" (
REM  echo Copying file xnmeventsExt.conf to xnmeventsExt.conf.orig...
REM  copy "%OV_CONF%\%LANG%\xnmeventsExt.conf" "%OV_CONF%\%LANG%\xnmeventsExt.conf.orig"
REM  echo Copying file xnmeventsExt.cpq to xnmeventsExt.conf...
REM  copy .\traps\xnmeventsExt.cpq "%OV_CONF%\%LANG%\xnmeventsExt.conf"
REM  )



REM echo Removing the previous Insight Integration trap files... 
REM echo Removing the previous Insight Integration trap files... 1>>"%OV_BIN%\ciminstall.log"
REM @call .\traps\cpqdeletetraps.bat
REM echo Verifying trap removal...
REM call .\traps\hpqdeletetraps.bat



echo Installing the new Insight Integration trap files... 
echo Installing the new Insight Integration trap files... 1>>"%OV_BIN%\ciminstall.log"
call copy .\traps\cpqtrapd.conf "%OV_CONF%\%LANG%\cpq\cpqtrapd.conf" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
call copy .\traps\newtraps.cpq "%OV_CONF%\%LANG%\cpq\newtraps.cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
call copy .\traps\cpqval2str.trap "%OV_CONF%\%LANG%\cpq\cpqval2str.trap" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
REM call copy .\traps\cpqdeletetraps.bat "%OV_CONF%\%LANG%\cpq\cpqdeletetraps.bat" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"
call copy .\traps\hpqdeletetraps.bat "%OV_CONF%\%LANG%\cpq\hpqdeletetraps.bat" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

echo Loading new trap definitions...
echo Loading new trap definitions... 1>>"%OV_BIN%\ciminstall.log" 
xnmevents -load "%OV_CONF%\%LANG%\cpq\newtraps.cpq" 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

echo Starting the OpenView services... 
echo Starting the OpenView services... 1>>"%OV_BIN%\ciminstall.log"
ovstart 1>>"%OV_BIN%\ciminstall.log" 2>>"%OV_BIN%\cimerror.log"

echo Loading the ProLiant MIBs into Network Node Manager...
echo Loading the ProLiant MIBs into Network Node Manager... 1>>"%OV_BIN%\ciminstall.log"
@call cpqloadmibs.cmd

echo Done. 1>>"%OV_BIN%\ciminstall.log"

REM call del c:\program

:end
